import SwiftUI
import SwiftUIArchitectureCore
import CommonUI

struct {{ module_info.name }}View: View {
	@ObservedObject var store: ModuleStore<{{ module_info.name }}State>
	let factory: {{ module_info.name }}Factory

	var body: some View {
		VStack {
			Spacer()
			HStack {
				Spacer()
				Text("{{ module_info.name }}View")
				Spacer()
			}
			Spacer()
		}
	}
}

#if DEBUG
struct {{ module_info.name }}View_Previews: PreviewProvider {
    static var previews: some View {
        {{ module_info.name }}View(
			store: ModuleStore<{{ module_info.name }}State>(),
			factory: {{ module_info.name }}Graph(subscriptions: [])
		)
    }
}
#endif
